Subject: Re: bug#14013: 24.3.50; dired-isearch-filenames-regexp is matching text outside filenames

From: Michael Heerdegen <[email-masked]>
Date: Fri, 01 Apr 2022 04:18:24 +0200

Juri Linkov <[email-masked]> writes:

> Thanks for trying out.  Now I pushed the patch to master
> that will clean up the platz for more features such as ^.

I wonder if it is realistic to use a temporary helper buffer to
implement ^.

I would like to have a kind of filter that would allow to restrict
isearch and query replace to arbitrary parts of the buffer, defined e.g.
by the presence of some text property, anything you can define.

If we would use a helper buffer that contains only these chunks, ^ and
such would work out of the box for all of these cases.  I guess that
such a helper buffer would have to be filled on the fly, successively,
and the hard part is the details of handling (updating, killing, etc)
these buffers.

Michael.